Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

https://www.googleapis.com/auth/userinfo.email
google_id_token-a99f12e0

View your email address

https://www.googleapis.com/auth/userinfo.email
google_id_token_legacy-a99f12e0

View your email address

Path Parameters

importId
string
required

The ID of an import job

Query Parameters

limit
integer<int32>
default:20

The maximum number of import files per page. (Default: 20)

modifiedAfter
integer<int64>

The timestamp (milliseconds) from which an import was last modified (to filter the list).

failedOnly
boolean
default:false

Whether to filter on the failed import only (Default: false, i.e. all results).

cursor
string

The token for continuing a previous list request on the next page. This should be set to the value of 'cursor' from the previous response.

securityCode
string

The security code

domain
string

The G Suite domain

Response

200 - application/json

A ApiImportFileList response

cursor
string
importFiles
object[]
kind
string